Bug 1656627 - Review Request: fedora-repo-zdicts - Zstd dictionaries for Fedora repository metadata
Summary: Review Request: fedora-repo-zdicts - Zstd dictionaries for Fedora repository ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 21:44 UTC by Jonathan Dieter
Modified: 2018-12-30 03:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-23 02:52:41 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jonathan Dieter 2018-12-05 21:44:01 UTC
Spec URL: https://www.jdieter.net/downloads/fedora-repo-zdicts.spec
SRPM URL: https://www.jdieter.net/downloads/fedora-repo-zdicts-30.3-1.fc29.src.rpm
Description:
zchunk is a compressed file format that splits the file into independent
chunks.  This package contains zstd libraries tailored for Fedora's repository
metadata to improve their compression.

Fedora Account System Username: jdieter

Comment 1 Jonathan Dieter 2018-12-05 21:45:16 UTC
Do we need special permission to use fedora in the package name?

Comment 2 Robert-André Mauchin 2018-12-06 20:33:43 UTC
I was wondering if you were using dicts when I saw your zchunk proposal.

 - Use install -p in your Makefile


Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 2-clause "Simplified" License", "Unknown or generated". 3
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/fedora-repo-zdicts/review-fedora-repo-
     zdicts/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fedora-repo-zdicts-30.3-1.fc30.noarch.rpm
          fedora-repo-zdicts-30.3-1.fc30.src.rpm
fedora-repo-zdicts.noarch: W: spelling-error Summary(en_US) Zstd -> Std, Z std
fedora-repo-zdicts.noarch: W: spelling-error %description -l en_US zchunk -> chunk, z chunk
fedora-repo-zdicts.noarch: W: spelling-error %description -l en_US zstd -> std, z std
fedora-repo-zdicts.src: W: spelling-error Summary(en_US) Zstd -> Std, Z std
fedora-repo-zdicts.src: W: spelling-error %description -l en_US zchunk -> chunk, z chunk
fedora-repo-zdicts.src: W: spelling-error %description -l en_US zstd -> std, z std
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 3 Jonathan Dieter 2018-12-06 21:48:44 UTC
Thanks so much for the review!  Do you know if we need special permission to use fedora in the package name?

Comment 4 Robert-André Mauchin 2018-12-07 15:10:41 UTC
I have no idea.

Comment 5 Neal Gompa 2018-12-10 14:33:06 UTC
As far as I'm aware, I don't think anything special is required, since this is for Fedora infrastructure.

Comment 6 Jonathan Dieter 2018-12-10 19:51:50 UTC
Thanks guys.  I've posted to the packaging list to see if anyone there has a view on this.  If I don't hear anything in the next day or so, I'll keep the name.

Comment 7 Jonathan Dieter 2018-12-13 19:54:48 UTC
I've heard nothing, so I've gone ahead and requesting the SCM branch.  Neal, createrepo_c in F30 has zchunk support now!

Comment 8 Gwyn Ciesla 2018-12-13 20:02:01 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/fedora-repo-zdicts

Comment 9 Fedora Update System 2018-12-13 21:12:41 UTC
fedora-repo-zdicts-1812.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7da0218b75

Comment 10 Fedora Update System 2018-12-13 21:12:45 UTC
fedora-repo-zdicts-1812.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6fe83379ee

Comment 11 Fedora Update System 2018-12-13 21:12:49 UTC
fedora-repo-zdicts-1812.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-08ca704118

Comment 12 Jonathan Dieter 2018-12-13 21:13:54 UTC
Robert-André, thanks again for the review!

Comment 13 Fedora Update System 2018-12-15 03:19:42 UTC
fedora-repo-zdicts-1812.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6fe83379ee

Comment 14 Fedora Update System 2018-12-23 02:52:41 UTC
fedora-repo-zdicts-1812.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-12-23 19:10:17 UTC
fedora-repo-zdicts-1812.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-12-30 03:11:53 UTC
fedora-repo-zdicts-1812.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.